Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Apr 2013 19:24:14 +0300

> Date: Thu, 25 Apr 2013 09:29:20 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > Could be, but if we want to change that, we need to come up with some
>  > useful idea of how to deal with a situation where you have the fringe
>  > between the display margins and the rest of the text area.  Surely, in
>  > this case you must include the display margins in the window
>  > dimensions,
> 
> ... but the display margins were always included in the window
> dimensions ...

Yes, and that might explain why so are the fringes.

>  > but OTOH the fringes separate the window into 2 disjoint
>  > areas.
> 
> ... so what am I missing?  All I want is to maintain fringes exclusively
> inside the frame's root window.

I don't know anymore who misses what.  You said:

>  >> When you remove the scrollbars the Emacs frame shrinks.  When you
>  >> remove the fringes it does not shrink.  Yet, when changing frame
>  >> sizes we are expected to handle fringes and scrollbars alike: They
>  >> are no text, they are no windows and therefore should not be counted
>  >> in the width of the frame's text area.

which to me means that you want fringes to NOT be included in the
window text area.  Therefore, I tried to explain what was (or could
be) the motivation to INCLUDE fringes in the text area: because
otherwise, the display margins, which ARE part of text area, would
become disjoint from the rest of the window's text area by the fringes
that are in-between.